Subject: Re: Question about draft-pan-rsvp-fast-reroute Nov 2001

From: Sachin Kalra <[email-masked]>
Date: Wed, 02 Jan 2002 11:08:15 -0500

Ping Pan:

Thanks for the email. Your reply made me understand the scenario.

Now, can anybody please answer the following.

Consider the following network in which two Bypass tunnels are configured 
originating from [R2]
1. [R2]==>[R6]==>[R7]==>[R8]==>[R4]
2. [R2]==>[R11]==>[R12]==>[R13]==>[R14]==>[R5]

             [R0]     [R10]
                \         /
                  \     /
   [R1]---------[R2]------------------[R3]----------------[R4]---------X--------[R5]-----------------[R9]
                  ||   \\                                          // 
                 ||
                  ||    \\                                        // 
                 ||
                  ||     [R6]======[R7]======[R8]                         ||
                  || 
||
                 [R11]========[R12]========[R13]========[R14]

Now, if Link [R4]-->[R5] fails then how will [R2] decide which backup 
tunnel to use in this case? Or, if there are many Bypass tunnels 
originating from a node then how does node decides which Bypass Tunnel to 
use at time of network changes?

Any help is appreciated.

Thanks,
Sachin Kalra

At 12:45 PM 12/29/01 -0800, Ping Pan wrote:
>Sachin:
>
>
>On Fri, 28 Dec 2001, Sachin Kalra wrote:
>
> > Hi All:
> >
> > I have few questions regarding Fast Reroute using Bypass tunnels using
> > RSVP-TE. Any help is appreciated.
> >
> > Consider the following network, where 10 different LSPs are
> > traversing  [R1]-->[R2]-->[R3]-->[R4]-->[R5], another one LSP traversing
> > [R1]-->[R2]-->[R10], And there is a Bypass Tunnel configured
> > from  [R2]==>[R6]==>[R7]==>[R8]==>[R4]
> >
> >
> >        [R0]            [R10]
> >              \          /
> >                \      /
> > 
> [R1]---------[R2]--------X----------[R3]----------------[R4]-----------------[R5]
> >
> >                    \\                                          //   \
> >                     \\                                        //      \
> >                      [R6]======[R7]======[R8]         [R9]
> >
> >
> > Now my questions are:
> > 1. Does the Bypass Tunnel protects all 10 LSPs or we can associate just
> > some of them to the Tunnel?
> >
>
>You can associate the LSPs to the bypass LSP base on the config at R2, and
>the information carried in the protected LSPs. For example, when R2 is set
>to backup any LSP that has the reroute-desired bit set in SAO, if all 10
>LSPs have such bit on, they will be backed up via the bypass tunnel.
>
> > 2. How to disassociate LSP [R1]-->[R2]-->[R10] from the bypass tunnel?
> >
>
>Again, base on your config at R2.
>
> > 3. How does [R2] makes its NHLFEs for the Bypass Tunnel?
> >
> > 4. What FEC does [R2] use to inject traffic into the bypass tunnel at time
> > of failure? Or how does [R2] associate any traffic with the Bypass Tunnel?
> >
> > I would appreciate answer to all or any of the above questions.
> >
> > Thanks,
> > Sachin Kalra
> >
> >